# Better Social Sharing Buttons Link Modifier

## Description

The **Better Social Sharing Buttons Link Modifier** module extends the 
functionality of the [Better Social Sharing Buttons]
(https://www.drupal.org/project/better_social_sharing_buttons) module 
by allowing customization of the shared URL.<br/>
It enables site administrators to select a preferred URL source from
available node fields, ensuring that shared links reflect the most
relevant content.

## Features

- Integrates seamlessly with **Better Social Sharing Buttons**.
- Allows administrators to specify a **preferred URL field** via
configuration.
- Supports additional **URL sources** from installed modules.
- Ensures compatibility with patched versions of 
`better_social_sharing_buttons`.

## Additional Requirements

- **better_social_sharing_buttons** (Version 4.1.0 or higher)

## Installation

1. Download and install the module either via Composer or manually.
2. Enable the module.
3. Configure the preferred URL source under the module’s settings.

## Usage

After enabling the module, you can configure the URL source via the site’s 
settings interface.<br />
The module will dynamically use the selected URL field for social sharing
buttons.

---

*Note: Ensure that the required version of `better_social_sharing_buttons` is 
installed for optimal functionality.*
